Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator
Class ParameterParser

    java.lang.Object
      com.sun.mdm.index.configurator.ParameterParser

public class ParameterParser
extends java.lang.Object

Parser for Parameter configuration object

Field Summary
`(package private) static java.lang.String` | `TAG_PARAMETER`
`(package private) static java.lang.String` | `TAG_PARAMETER_NAME`
`(package private) static java.lang.String` | `TAG_PARAMETER_TYPE`
`(package private) static java.lang.String` | `TAG_PARAMETER_VALUE`
`(package private) static java.lang.String` | `TAG_PARAMETERS`

Constructor Summary
`ParameterParser()` Creates a new instance of ParameterParser

Method Summary
`java.util.ArrayList` | `getParameters(org.w3c.dom.Element parameterList)` Getter for Parameters attribute of the ParameterParser object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_PARAMETER

    static final java.lang.String TAG_PARAMETER

See Also:
  Constant Field Values

### TAG_PARAMETER_NAME

    static final java.lang.String TAG_PARAMETER_NAME

See Also:
  Constant Field Values

### TAG_PARAMETER_TYPE

    static final java.lang.String TAG_PARAMETER_TYPE

See Also:
  Constant Field Values

### TAG_PARAMETER_VALUE

    static final java.lang.String TAG_PARAMETER_VALUE

See Also:
  Constant Field Values

### TAG_PARAMETERS

    static final java.lang.String TAG_PARAMETERS

See Also:
  Constant Field Values

Constructor Detail

### ParameterParser

    public ParameterParser()

  Creates a new instance of ParameterParser

Method Detail

### getParameters

    public java.util.ArrayList getParameters(org.w3c.dom.Element parameterList)

  Getter for Parameters attribute of the ParameterParser object.

  Parameters:
    `parameterList` - DOM node for a list of paramters.
  Returns:
    a parsed list of parameters.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.